/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-cjvzlx7y6b] {
    position: relative;
    display: flex;
    flex-direction: column;
}

.sidebar[b-cjvzlx7y6b] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.main[b-cjvzlx7y6b] {
    flex: 1;
}

    .main .top-row[b-cjvzlx7y6b] {
        background-color: #f7f7f7;
        border-bottom: 1px solid #d6d5d5;
        justify-content: flex-end;
        height: 3.5rem;
        display: flex;
        align-items: center;
    }

        .main .top-row[b-cjvzlx7y6b]  a, .main .top-row[b-cjvzlx7y6b]  .btn-link {
            white-space: nowrap;
            margin-left: 1.5rem;
        }

            .main .top-row[b-cjvzlx7y6b]  a:first-child {
                overflow: hidden;
                text-overflow: ellipsis;
            }

@media (max-width: 640.98px) {
    .main .top-row:not(.auth)[b-cjvzlx7y6b] {
        display: none;
    }

    .main .top-row.auth[b-cjvzlx7y6b] {
        justify-content: space-between;
    }

    .main .top-row[b-cjvzlx7y6b]  a, .main .top-row[b-cjvzlx7y6b]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-cjvzlx7y6b] {
        flex-direction: row;
    }

    .sidebar[b-cjvzlx7y6b] {
        width: 300px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .main .top-row[b-cjvzlx7y6b] {
        position: sticky;
        top: 0;
    }

        .main .top-row.auth[b-cjvzlx7y6b]  a:first-child {
            flex: 1;
            text-align: right;
            width: 0;
        }

    .main .top-row[b-cjvzlx7y6b], article[b-cjvzlx7y6b] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-oyygoi8des] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background-color: rgba(255, 255, 255, 0.1);
}

    .navbar-toggler:checked[b-oyygoi8des] {
        background-color: rgba(255, 255, 255, 0.5);
    }

.top-row[b-oyygoi8des] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-oyygoi8des] {
    font-size: 1.1rem;
}

.bi[b-oyygoi8des] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.nav-item[b-oyygoi8des] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-oyygoi8des] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-oyygoi8des] {
        padding-bottom: 1rem;
    }

    .nav-item[b-oyygoi8des]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

    .nav-item[b-oyygoi8des]  a.active {
        background-color: rgba(255,255,255,0.25);
        color: white;
    }

    .nav-item[b-oyygoi8des]  .nav-link:hover {
        background-color: rgba(255,255,255,0.1);
        color: white;
    }

.nav-scrollable[b-oyygoi8des] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-oyygoi8des] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-oyygoi8des] {
        display: none;
    }

    .nav-scrollable[b-oyygoi8des] {
        display: block;
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
